This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448909 - file conflict between ia64/i386 versions of ruby-libs
file conflict between ia64/i386 versions of ruby-libs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.7
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Vít Ondruch
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 09:36 EDT by Alexander Todorov
Modified: 2012-06-20 12:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Alexander Todorov 2008-05-30 05:11:40 EDT
Bugs exhibiting this issue:
bug #448905, bug #448906, bug #448907, bug #448909, bug #448910, bug #448911
Comment 5 Alexander Todorov 2008-06-04 03:26:16 EDT
Akira,
in RHEL 5 version of ruby-libs the ext/ directory under docs is missing. I don't
know what are the contents of the conflict files. If they are not necessary I
assume it's safe to remove them (as in RHEL 5). See link in comment #1 for more
hints on multilib packages.
Comment 6 Akira TAGOH 2008-06-04 03:51:07 EDT
Uh, it is. however all of files under ext/dl may be removed then since some of
them are referring to dlconfig.rb. btw MultilibTricks doesn't help in this case,
because this file is generated at the build time according to the build host's
CPU architecture. can't have the kind of #ifdef. another idea is to rename the
filename like dlconfig.rb.ia64 to avoid the file conflict. which looks ugly a bit.
Comment 7 Akira TAGOH 2008-09-25 22:39:59 EDT
To make more clearer, do we still need to fix this issue in ruby package itself, but not rpm?
Comment 8 Alexander Todorov 2008-09-26 02:45:40 EDT
Akira,
although RPM was hacked to not report such type of file conflicts they are still conflicts and fixing the ruby-libs rpm package is the right thing to do.
Comment 9 Akira TAGOH 2008-10-19 04:15:44 EDT
Ok, then devel_ack'd.
Comment 10 RHEL Product and Program Management 2008-10-31 12:45:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 11 Jiri Pallich 2012-06-20 12:19:00 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.